from cohoba.Utils import load_icon

class ProtocolIcons:
	def __init__(self):
		self.icons = {}
		
	def get_icon(self, protocol, connected=True):
		if protocol == None:
			return None
			
		if protocol not in self.icons:
			self.icons[protocol] = (load_icon(protocol+".png", 24), load_icon(protocol+"-off.png", 24))
		
		if connected:
			return self.icons[protocol][0]
		else:
			return self.icons[protocol][1]

protocol_icons = ProtocolIcons()
def get_protocol_icons():
	return protocol_icons
